const nodemailer = require('nodemailer');
const config = require('./config');

module.exports.notif = (contact) => {

    let transporter = nodemailer.createTransport({
        host: 'SSL0.OVH.NET',
        port: 587,
        auth: {
            user: config.usermail,
            pass: config.pswd
        }
    });

    let mailOptions = {
        from: 'Smiirl@niemes.info',
        to: config.contact,
        subject: '[Smiirl - Compteur LinkedIn] MAJ necéssaire des permissions',
        text: `
        Bonjour,

        Dans le cadre de la maintenance de votre compteur, merci de mettre à jour les permissions nécéssaires au bon fonctionnement de votre compteur Smiiirl.
        Visitez cette adresse pour renouveller l'accès à Linkedin en vous connectant à votre compte.

        Lien: https://linkedin-counter.herokuapp.com/oauth/linkedin

        Passez une bonne journée.

        Ce message est auto-généré. 
        contact support: kevin@niemes.info
        `
    };

    transporter.sendMail(mailOptions, function(error, info){
        if (error) console.log(error);
        else console.log('[Smiirl LinkedIn] Email sent: ' + info.response);
    }); 
}